Appearance
Projects
Projects, their environments and activity.
Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).
List projects
GET /api/v1/teams/{tid}/projects
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Project objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/projects" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create project
POST /api/v1/teams/{tid}/projects
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
description | string | no | max length 2000, can be null |
region | "fsn1", "nbg1", "hel1" | no | default "nbg1" |
Response
201: a Project object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/projects" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Get project
GET /api/v1/projects/{pid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string (UUID) | yes |
Response
200: a Project object.
Example
bash
curl "https://api.fjordrun.com/api/v1/projects/$PROJECT_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Update project
PATCH /api/v1/projects/{pid}
Services run in the project's region. The region can't change while the project has volumes (409).
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | min length 1, max length 100, can be null |
description | string | no | max length 2000, can be null |
icon | string | no | max length 50, can be null |
region | "fsn1", "nbg1", "hel1" | no | can be null |
Response
200: a Project object.
Example
bash
curl -X PATCH "https://api.fjordrun.com/api/v1/projects/$PROJECT_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Delete project
DELETE /api/v1/projects/{pid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/projects/$PROJECT_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create environment
POST /api/v1/projects/{pid}/environments
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 60 |
fork_from_environment_id | string (UUID) | no | can be null |
Response
201: an Environment object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/projects/$PROJECT_ID/environments" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Delete environment
DELETE /api/v1/environments/{eid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
eid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/environments/$ENVIRONMENT_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Project activity
GET /api/v1/projects/{pid}/activity
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pid | path | string (UUID) | yes | |
limit | query | integer | no | min 1, max 200, default 50 |
Response
200: a list of Activity objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/projects/$PROJECT_ID/activity" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Request objects
EnvironmentIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 60 |
fork_from_environment_id | string (UUID) | no | can be null |
ProjectIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 100 |
description | string | no | max length 2000, can be null |
region | "fsn1", "nbg1", "hel1" | no | default "nbg1" |
ProjectPatch
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | min length 1, max length 100, can be null |
description | string | no | max length 2000, can be null |
icon | string | no | max length 50, can be null |
region | "fsn1", "nbg1", "hel1" | no | can be null |